package com.theitbulls.pushnotification.fcmservice;

import android.util.Log;

import com.google.firebase.messaging.FirebaseMessagingService;

public class MyFirebaseInstanceIdService extends FirebaseMessagingService {
    private static final String LOG_TAG = "MyFirebaseIdService";

    @Override
    public void onNewToken(String refreshedToken) {
        super.onNewToken(refreshedToken);

        // String refreshedToken = FirebaseInstanceId.getInstance().getToken();
        Log.d(LOG_TAG, "Refreshed token: " + refreshedToken);
        storeToken(refreshedToken);
    }

    private void storeToken(String token) {
        SharedPrefManager
                .getInstance(getApplicationContext())
                .saveDeviceToken(token);


    }
}
